ELException (EL 6.0 API Documentation - Apache Tomcat 11.0.8)
Description: declaration: package: jakarta.el, class: ELException

# Class ELException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.el.ELException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MethodNotFoundException`, `PropertyNotFoundException`, `PropertyNotWritableException`

public class ELException extends RuntimeException
Represents any of the exception conditions that can arise during expression evaluation.

Since:
  2.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ELException()`
  Creates an ELException with no detail message
  `ELException(String message)`
  Creates an ELException with the provided detail message.
  `ELException(String message, Throwable cause)`
  Creates an ELException with the given detail message and root cause.
  `ELException(Throwable cause)`
  Creates an ELException with the given cause

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ELException

    public ELException()
    Creates an ELException with no detail message

  - ### ELException

    public ELException(String message)
    Creates an ELException with the provided detail message.
    Parameters:
      `message` - the detail message

  - ### ELException

    public ELException(Throwable cause)
    Creates an ELException with the given cause
    Parameters:
      `cause` - the originating cause of this exception

  - ### ELException

    public ELException(String message, Throwable cause)
    Creates an ELException with the given detail message and root cause.
    Parameters:
      `message` - the detail message
      `cause` - the originating cause of this exception